(function($) {
"use strict";

  // toggle mobile menu
  $('#hamburger').click(function() {
    $(this).toggleClass('active');
    $('#header-menu').toggleClass('active');
  });

  // check if mega menu plugin is installed
  function megaMenuOverides() {
    var winWidth = $(window).width();
    if($('#header-menu .mega-menu-wrap').length) {
      $('#header').addClass('mega-menu');
      if(winWidth < 768) {
        $('#header-menu').css('display','block');
        $('#header').css('padding-bottom','0');
      } else {
        $('#header-menu').css('display','inline-block');
        $('#header').css('padding-bottom','45px');
      }
      if($('.mega-menu-toggle').is(':visible')) {
          $('#header-menu').css('display','block');
      }
    }
  }
  megaMenuOverides();
  $(window).resize(function() {
    megaMenuOverides();
  });

}(jQuery));
